Subject: bug#42562: Problem with rendering Persian text still exists in minibuffer and dired

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Jul 2020 16:30:50 +0300

> From: Sineau Gh <[email-masked]>
> Date: Thu, 30 Jul 2020 17:27:36 +0430
> Cc: [email-masked]
> 
> The problem I originally reported was not concerned with typing text, but text rendered in read-only buffers
> (ie. dired and minibuffer). 

Then please describe the steps to reproduce this with one such
read-only buffer.

> Also here's the bad news. Just now I realized that bug#41005 is not solved yet. At certain combinations of
> characters, the ligatures are still disjointed. Also I tried to change the font family, but that  didn't help either.
> This doesn't happen when I compiled emacs using --without-harfbuzz option. I don't know if it helps but I can
> try to find if there's a pattern to the combinations of characters I mentioned.

Here also we would need a recipe to reproduce the problem.

These problems are highly context dependent, and cannot be debugged
without a reproducer.

Thanks.